
import { defineStore } from "pinia";
import { ref } from "vue";

/**
* @description:用户信息持久化数据
*/

export const userInfoModules = defineStore("userInfoStore", () => {


  /**
* @description:token
* @example 
*/
  const token = ref(null)

  /**
  * @description:用户手机号
  * @example 
  */
  const phone = ref(null)

  /**
  * @description:剩余次数
  * @example 
  */
  const createTimes = ref(null)

  /**
 * @description:清除所有
 * @example 
 */
  function clearStorage() {
    token.value = null
    phone.value = null
    createTimes.value = null
    uni.setStorageSync("token", null);
    uni.setStorageSync("createTimes", null);
    uni.setStorageSync("phone", null);
    uni.setStorageSync("UserId", null);
  }
  return { token, phone, createTimes, clearStorage };
},
  {
    unistorage: true,
  }
);