import {
	createSSRApp
} from "vue";
import uviewPlus from 'uview-plus'
import "./style/my.scss";
import App from "./App.vue";
import { store } from '../src/store/index'
export function createApp() {
	const app = createSSRApp(App);
	app.use(store)
	app.use(uviewPlus)
	return {
		app,
	};
}
